/*
 * gsampler-keyboard.h
 * Copyright (C) Lilian Monchalin 2011 <isaya07@users.sf.net>
 * 
 * gsampler is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * gsampler is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _GSAMPLER_KEYBOARD_H_
#define _GSAMPLER_KEYBOARD_H_

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define GSAMPLER_TYPE_KEYBOARD (gsampler_keyboard_get_type ())
#define GSAMPLER_KEYBOARD(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), GSAMPLER_TYPE_KEYBOARD, GsamplerKeyboard))
#define GSAMPLER_KEYBOARD_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), GSAMPLER_TYPE_KEYBOARD, GsamplerKeyboardClass))
#define GSAMPLER_IS_KEYBOARD(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GSAMPLER_TYPE_KEYBOARD))
#define GSAMPLER_IS_KEYBOARD_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GSAMPLER_TYPE_KEYBOARD))
#define GSAMPLER_KEYBOARD_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), GSAMPLER_TYPE_KEYBOARD, GsamplerKeyboardClass))
#define GSAMPLER_KEYBOARD_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), GSAMPLER_TYPE_KEYBOARD, GsamplerKeyboardPrivate))

typedef struct _GsamplerKeyboard GsamplerKeyboard;
typedef struct _GsamplerKeyboardClass GsamplerKeyboardClass;
typedef struct _GsamplerKeyboardPrivate GsamplerKeyboardPrivate;

struct _GsamplerKeyboard {
	GtkBox parent_instance;
	GsamplerKeyboardPrivate * priv;
};

struct _GsamplerKeyboardClass {
	GtkBoxClass parent_class;
};

struct _GsamplerKeyboardPrivate {
	GtkDrawingArea* draw_area;
	GtkComboBox* combo;
	int active_key;
};

GType gsampler_keyboard_get_type (void) G_GNUC_CONST;
GsamplerKeyboard* gsampler_keyboard_new (void);

void gsampler_keyboard_active (GsamplerKeyboard* self);
void gsampler_keyboard_inactive (GsamplerKeyboard* self);

G_END_DECLS

#endif /* _GSAMPLER_KEYBOARD_H_ */